[ 
https://issues.apache.org/jira/browse/YARN-7346?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16388182#comment-16388182
 ] 

Sean Busbey commented on YARN-7346:
-----------------------------------

{quote}
What I was trying to say is that, In the context of ATSv2, NMs and RM act as 
hbase clients that write data to HBase, so the hbase-client dependency code 
will be running inside NM/RM processes. If hadoop 2 depends on, say dependency 
X of version N and hbase-client 2.0 depends on X of version N+2 , then 
hbase-client 2.0 code will be running with X of version N inside NM/RM. This 
could potentially break if hbase-client 2.0 relies on something new that only 
exists in version N+2.
{quote}

Oh for sure. dependency convergence is always a concern. maybe we should have a 
jira to track figuring out how we make sure the hbase shaded client is usable 
for Hadoop in this specific context.

> Add a profile to allow optional compilation for ATSv2 with HBase-2.0
> --------------------------------------------------------------------
>
>                 Key: YARN-7346
>                 URL: https://issues.apache.org/jira/browse/YARN-7346
>             Project: Hadoop YARN
>          Issue Type: Sub-task
>            Reporter: Ted Yu
>            Assignee: Haibo Chen
>            Priority: Major
>             Fix For: 3.2.0
>
>         Attachments: YARN-7346.00.patch, YARN-7346.01.patch, 
> YARN-7346.02.patch, YARN-7346.03-incremental.patch, YARN-7346.03.patch, 
> YARN-7346.04-incremental.patch, YARN-7346.04.patch, YARN-7346.05.patch, 
> YARN-7346.06.patch, YARN-7346.07.patch, YARN-7346.08-incremental.patch, 
> YARN-7346.08.patch, YARN-7346.09.patch, YARN-7346.10.patch, 
> YARN-7346.11.patch, YARN-7346.prelim1.patch, YARN-7346.prelim2.patch, 
> YARN-7581.prelim.patch, 
> hadoop-yarn-server-timelineservice-hbase-server-1-findbugsXml.xml, 
> hadoop-yarn-server-timelineservice-hbase-server-1-javadoc-report.txt, 
> hadoop-yarn-server-timelineservice-hbase-server-2-findbugsXml.xml, 
> hadoop-yarn-server-timelineservice-hbase-server-2-javadoc-report.txt
>
>
> When compiling hadoop-yarn-server-timelineservice-hbase against 2.0.0-alpha3, 
> I got the following errors:
> [https://pastebin.com/Ms4jYEVB]
> This issue is to fix the compilation errors.
> The scope of the Jira is to add a profile to allow optional compilation for 
> ATSv2 with HBase2.0. The default compilation for trunk will still be for 
> hbase 1.2.6. 



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscr...@hadoop.apache.org
For additional commands, e-mail: yarn-issues-h...@hadoop.apache.org

Reply via email to